Debian Bug report logs - #192860
libncurses5-dev: define_key should be declared to take 'const char *'

version graph

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Christian Häggström <chm@c00.info>

Date: Sun, 11 May 2003 02:33:02 UTC

Severity: wishlist

Found in version 5.3.20021109-2

Fixed in version ncurses/5.3.20030510-1

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#192860; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Christian Häggström <chm@c00.info>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Häggström <chm@c00.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncurses5-dev: define_key should be declared to take 'const char *'
Date: Sun, 11 May 2003 04:31:03 +0200
Package: libncurses5-dev
Version: 5.3.20021109-2
Severity: wishlist

Now the declaration looks like this:

	int define_key(char *definition, int keycode);

To be able to compile with gcc -Wwrite-strings without getting a warning,
I suggest the declaration should be changed to:

	int define_key(const char *definition, int keycode);

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux saturn 2.4.20 #15 Sat May 3 05:08:04 CEST 2003 i586
Locale: LANG=C, LC_CTYPE=sv_SE

Versions of packages libncurses5-dev depends on:
ii  libc6-dev [libc-dev]      2.3.1-17       GNU C Library: Development Librari
ii  libncurses5               5.3.20021109-2 Shared libraries for terminal hand

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#192860; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Christian H?ggstr?m <chm@c00.info>, 192860@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#192860: libncurses5-dev: define_key should be declared to take 'const char *'
Date: Sun, 11 May 2003 09:08:29 -0400
On Sun, May 11, 2003 at 04:31:03AM +0200, Christian H?ggstr?m wrote:
> Package: libncurses5-dev
> Version: 5.3.20021109-2
> Severity: wishlist
> 
> Now the declaration looks like this:
> 
> 	int define_key(char *definition, int keycode);
> 
> To be able to compile with gcc -Wwrite-strings without getting a warning,
> I suggest the declaration should be changed to:
> 
> 	int define_key(const char *definition, int keycode);

perhaps (it never occurred to me that someone would use it with a table
of hard-coded values)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#192860; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Häggström <chm@c00.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 192860-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 192860-close@bugs.debian.org
Subject: Bug#192860: fixed in ncurses 5.3.20030510-1
Date: Wed, 14 May 2003 16:05:04 -0400
We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20030510-1_i386.deb
libncurses5-dev_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20030510-1_i386.deb
libncurses5_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20030510-1_i386.deb
libncursesw5-dbg_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20030510-1_i386.deb
libncursesw5-dev_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20030510-1_i386.deb
libncursesw5_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20030510-1_i386.deb
ncurses-base_5.3.20030510-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20030510-1_all.deb
ncurses-bin_5.3.20030510-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20030510-1_i386.deb
ncurses-term_5.3.20030510-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20030510-1_all.deb
ncurses_5.3.20030510-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20030510-1.diff.gz
ncurses_5.3.20030510-1.dsc
  to pool/main/n/ncurses/ncurses_5.3.20030510-1.dsc
ncurses_5.3.20030510.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.3.20030510.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 192860@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 14 May 2003 13:15:10 -0400
Source: ncurses
Binary: ncurses-base libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg
Architecture: source i386 all
Version: 5.3.20030510-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries and docs for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 192267 192860
Changes: 
 ncurses (5.3.20030510-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Includes fix for a duplicate initialization bug (Closes: #192267).
   * Make the argument to define_key a "const char" (Closes: #192860).
   * Change the sections of libncurses5-dev and libncursesw5-dev.
   * Add a terminfo file for the Hurd terminal.
   * Provide a static libncurses_g.a.  I can't provide a shared one
     without introducing an rpath, since it has the same soname as a
     non-debugging version.
Files: 
 dffef9776e9e816266e6c46d2525f1d3 725 libs standard ncurses_5.3.20030510-1.dsc
 64796f82c6eb76d6fcfdd45039124733 2108031 libs standard ncurses_5.3.20030510.orig.tar.gz
 9cb4cfd0793e8ac01d5d32a60ca3cdbf 28757 libs standard ncurses_5.3.20030510-1.diff.gz
 cf99f3b51e759d30064f75acc2e4b772 260204 base required libncurses5_5.3.20030510-1_i386.deb
 af8dc9db984e0cc9b4f4aa6f7daa1501 1019316 libdevel optional libncurses5-dev_5.3.20030510-1_i386.deb
 023445f60010233ed00fa3f6817fc547 4041896 devel extra libncurses5-dbg_5.3.20030510-1_i386.deb
 c97bc8c5484853425f2e8aa0283c0155 268864 libs optional libncursesw5_5.3.20030510-1_i386.deb
 8b5c7e3ece52e7a4b83b7c07aac942fe 376480 libdevel optional libncursesw5-dev_5.3.20030510-1_i386.deb
 e335556c0863c746f06e2faa5dee5849 4426330 devel extra libncursesw5-dbg_5.3.20030510-1_i386.deb
 65c1dd784ecee996588d6cb8bbfa44e1 199202 base required ncurses-bin_5.3.20030510-1_i386.deb
 a6d61a1cd4ff0fb6304ce4e0a0c5578b 9476 base required ncurses-base_5.3.20030510-1_all.deb
 83c8f315919609c6529cbcb75b37066f 268434 admin standard ncurses-term_5.3.20030510-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+wpekbgOPXuCjg3cRAnEWAKCIQhNuRLQJUrrNjO8nHvh9qJwlnwCgpcdS
9Llle3bFperTIhsimT+xWWA=
=GrKH
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:20:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.